GuideLab API

Deallocate Credit Note

Reverse a credit-note allocation. Lab-only. Restores the credit note's remaining balance and the invoice's amount due (may revert the invoice from paid).

DELETE
/credit-notes/{id}/allocations/{allocationId}

Reverse a credit-note allocation. Lab-only. Restores the credit note's remaining balance and the invoice's amount due (may revert the invoice from paid).

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Credit note ID

allocationId*string

Allocation ID to reverse

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/credit-notes/550e8400-e29b-41d4-a716-446655440000/allocations/550e8400-e29b-41d4-a716-446655440001"
{  "success": true,  "invoiceStatus": "string",  "newRemaining": "string",  "newAmountDue": "string"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}